Bug 242259 - AVC on boot: dhclient-script
Summary: AVC on boot: dhclient-script
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-02 20:04 UTC by Tom London
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 16:02:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom London 2007-06-02 20:04:52 UTC
Description of problem:
Running Rawhide for the past few days, I get the following on boot:

Jun  2 12:24:36 localhost kernel: e1000: eth0: e1000_watchdog: NIC Link is Up
100 Mbps Full Duplex, Flow Control: RX/TX
Jun  2 12:24:36 localhost kernel: e1000: eth0: e1000_watchdog: 10/100 speed:
disabling TSO
Jun  2 12:24:36 localhost kernel: audit(1180812265.018:8): avc:  denied  {
getattr } for  pid=2101 comm="dhclient-script" name="setfiles" dev=dm-0
ino=11337869 scontext=system_u:system_r:dhcpc_t:s0
tcontext=system_u:object_r:setfiles_exec_t:s0 tclass=file

Sometimes, this seem to prevent IP address assignment.

Version-Release number of selected component (if applicable):
dhclient-3.0.5-35.fc8

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom London 2007-07-03 16:02:21 UTC
Seems gone w/ dhclient-3.0.5-37.fc8 and latest selinux policy.




Note You need to log in before you can comment on or make changes to this bug.